Short links
Resolve a short link to full path
POST
Shorten long URLs and resolve short links back to their target.
Resolve a short link to full path. It's meant to be used on client side. API key is not required. You can use path from the response to read parameters from the path in your iOS or Android apps and redirect your users to a specific screen.
Shortened path to resolve
application/json- body
url*stringURL to shorten
Link found
application/json- response
id?stringUUID of the link
Format
uuidname?stringpath?stringurl?stringsocial_description?stringsocial_image_url?stringsocial_title?stringshortened_path?stringandroid_fallback_url?stringios_fallback_url?stringenable_forced_redirect?booleanreferrer?stringios_deferred_deep_linking_enabled?booleanprovider_token?stringcampaign_token?stringandroid_app_id?stringios_app_id?stringclicks?integerNumber of clicks/views for this link
Example Request
curl -X POST 'https://dynalinks.app/api/v1/short_links/resolve' \ -H 'Content-Type: application/json' \ -d '{ "url": "https://yourproject.dynalinks.app/vs5r"}'Example Response
{ "id": 1, "name": "Example Link", "path": "longOriginalPath"}